{% extends 'Default/backend.html.twig' %}
{% block javascripts %}
  {{ parent() }}
  {{ encore_entry_script_tags('edit-operator') }}
{% endblock %}
{% block main_content %}
  <section id="intro" class="container px-4 my-4">
    <div class="row">
      <div class="col-lg-12 px-lg-4 py-lg-2">
        <h2>
          {% if operatoreUser.createdAt %}
            {{ (operatoreUser.isSystemUser ? 'nav.admin.edit_system_user' : 'nav.admin.edit_operator') | trans }}: {{ operatoreUser.fullName }}
          {% else %}
            {{ (operatoreUser.isSystemUser ? 'nav.admin.create_new_system_user' : 'nav.admin.create_new_operator') | trans }}
          {% endif %}
        </h2>
      </div>

      <div class="col-lg-12 px-lg-4 py-lg-2 mt-4">
        {{ form_start(form) }}
        {{ form_errors(form) }}
        <ul class="nav nav-tabs" id="tabs" role="tablist">
          <li class="nav-item">
            <a class="nav-link active" id="general-data-tab" data-toggle="tab"
               href="#general-data" role="tab" aria-controls="general-data-tab"
               aria-selected="true">{{ 'operatori.dati_generali'|trans }}</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="services-tab" data-toggle="tab"
               href="#services" role="tab" aria-controls="services-tab"
               aria-selected="false">{{ 'services'|trans }}</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="calendars-tab" data-toggle="tab"
               href="#calendars" role="tab" aria-controls="calendars-tab"
               aria-selected="false">{{ 'calendars.calendars'|trans }}</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" id="user-groups-tab" data-toggle="tab"
               href="#user-groups" role="tab" aria-controls="user-groups-tab"
               aria-selected="false">{{ 'user_group.title'|trans }}</a>
          </li>
        </ul>

        <div class="tab-content" id="tab-content">
          <div class="tab-pane p-3 fade show active" id="general-data" role="tabpanel"
               aria-labelledby="general-data-tab">
            <div class="row">
              <div class="col-12 col-md-6">
                {{ form_row(form.nome) }}
              </div>
              <div class="col-12 col-md-6">
                {{ form_row(form.cognome) }}
              </div>
            </div>

            <div class="row">
              <div class="col-12 col-md-6">
                {{ form_row(form.username) }}
              </div>
              <div class="col-12 col-md-6">
                {{ form_row(form.email) }}
              </div>
            </div>

            {% if form.enabled is defined %}
              {{ form_row(form.enabled) }}
            {% endif %}

            {% if form.system_user is defined %}
              {{ form_row(form.system_user) }}
            {% endif %}

          </div>

          <div class="tab-pane p-3 fade" id="services" role="tabpanel" aria-labelledby="services-tab">

            <div class="row">
              <div class="col-12">
                {% if form.services is defined %}
                  <fieldset id="servicesList">
                    {{ form_label(form.services) }}
                    {% block checkbox_hierarchy_widget %}
                      <ul class="list-unstyled" id="mainList">
                        {% for choiceOrOptionGroup,children in form.services.vars.choices %}
                          <li>
                            {% if children is iterable %}
                              <ul>
                                {% for child,choiceView in children %}
                                  <li class="d-block">
                                    <label class="checkbox"> <!-- Secondo livello (servizi in gruppo) -->
                                      {{ form_widget(form.services[child],{
                                        'attr':{
                                          'value': choiceView.data
                                        }}) }}
                                    </label>
                                  </li>
                                {% endfor %}
                              </ul>
                            {% else %}
                              <label class="checkbox"> <!-- Primo livello (servizi senza gruppo e gruppi) -->
                                {{ form_widget(form.services.offsetGet(choiceOrOptionGroup),{
                                  'attr':{
                                    'value': children.data,
                                    'class':'group'
                                  }}) }}
                              </label>
                            {% endif %}
                          </li>
                        {% endfor %}
                      </ul>
                    {% endblock %}
                  </fieldset>
                {% else %}
                  <div class="alert alert-info">
                    <i>{{ 'admin.alert_system_user_services' | trans }}</i>
                  </div>
                {% endif %}
              </div>
            </div>
          </div>

          <div class="tab-pane p-3 fade" id="calendars" role="tabpanel" aria-labelledby="services-tab">
            {% if form.calendars is defined %}
              {{ form_row(form.calendars) }}
            {% else %}
              <div class="alert alert-info">
                <i>{{ 'admin.alert_system_user_calendars' | trans }}</i>
              </div>
            {% endif %}
          </div>

          <div class="tab-pane p-3 fade" id="user-groups" role="tabpanel" aria-labelledby="services-tab">
            {% if form.userGroups is defined %}
              {{ form_row(form.userGroups) }}
            {% else %}
              <div class="alert alert-info">
                <i>{{ 'admin.alert_system_user_user_groups' | trans }}</i>
              </div>
            {% endif %}
          </div>

        </div>
        <div class="row mt-3">
          <div class="col-12 text-right">
            <a class="btn btn-outline-secondary"
               href="{{ path('admin_operatore_index') }}">{{ 'webhook.back_to_list' | trans() }}
            </a>
            {% if operatoreUser.createdAt %}
              <a class="btn btn-outline-primary"
                 href="{{ path('security_reset_operator_password', { 'user': operatoreUser.id }) }}">{{ 'security.password_reset' | trans() }}
              </a>
            {% endif %}
            <button name="save" type="submit" value="save" class="btn btn-primary ml-1">{{ 'salva'|trans }}</button>
          </div>
        </div>
        {{ form_end(form) }}
      </div>
    </div>
  </section>
{% endblock %}
